
CoCoALib - Feature #151

Iterated CanonicalHom

03 May 2012 15:25 - John Abbott

Status: New Start date: 03 May 2012

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: New Function Estimated time: 20.00 hours

Target version: CoCoALib-1.0 Spent time: 0.25 hour

Description

Implement NaturalMap and iterated CanonicalHom

Related issues:

Related to CoCoA-5 - Feature #7: Automatic mapping between (some) rings Resolved 20 Oct 2011

Related to CoCoALib - Design #584: BaseRing for all rings Closed 08 Jul 2014

Related to CoCoA-5 - Bug #100: BringIn should map only the indets in its arg New 07 Mar 2012

History

#1 - 03 May 2012 15:32 - Anna Maria Bigatti

There is already some code called TmpChainCanonicalHom in CanonicalHom.[HC]: it looks whether there is a "chain" of CanonicalHom from the

domain to the codomain.

It might serve as a good start.

This code has already been tested.

#2 - 01 Apr 2014 17:41 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#3 - 07 Apr 2014 18:20 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#4 - 31 Jul 2014 12:16 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#5 - 13 May 2015 09:58 - Redmine Admin

- Category set to New Function

#6 - 28 Sep 2022 14:54 - John Abbott

- Related to Bug #100: BringIn should map only the indets in its arg added

Powered by TCPDF (www.tcpdf.org)

17 Apr 2024 1/1

http://www.tcpdf.org

